package cz.moneta.test.dsl.auto.smartauto.shared;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum Product implements DynamicPathPart {
    AUTO_CREDIT_STANDARD("standard (úvěr) - AUTOMATY"),
    AUTO_CREDIT_C2C("C2C - AUTOMATY"),
    AUTO_CREDIT_IC_C2C("C2C - AUTOMATY"),
    AUTO_CREDIT_IC_STANDARD("standard (úvěr) - AUTOMATY"),
    AUTO_CREDIT_BACK_LOAN("zpětný úvěr - AUTOMATY"),
    MOTO_CREDIT_STANDARD("standard (úvěr) - AUTOMATY"),
    MOTO_CREDIT_C2C("C2C - AUTOMATY"),
    MOTO_CREDIT_BACK_LOAN("zpětný úvěr - AUTOMATY"),
    AGRO_CREDIT("standard Agro - AUTOMATY"),
    AGRO_CREDIT_YOUNG_FARMER("standard Agro - AUTOMATY"),
    AGRO_WITHOUT_TP("standard Agro - AUTOMATY"),
    AGRO_WITHOUT_TP_YOUNG_FARMER("standard Agro - AUTOMATY"),
    AGRO_WITHTP_YOUNG_FARMER_C2C("C2C Agro - AUTOMATY");

    private final String product;

    Product(String product) {
        this.product = product;
    }

    @Override
    public String getValue() {
        return product;
    }
}